<!---
			We're going to use some MS Word specific tags, 
			so we have to declare the appropriate namespace.
			--->
<html 
	xmlns="http://www.w3.org/TR/REC-html40"
	xmlns:w="urn:schemas-microsoft-com:office:word">

	<head>

		
		<!---
					To specify Word specific options, embed a block of
					xml directly in the header.
					--->
		<xml>
		 <w:WordDocument>
			<w:View>Print</w:View>
			<w:SpellingState>Clean</w:SpellingState>
			<w:GrammarState>Clean</w:GrammarState>
			<w:Compatibility>
			 <w:WrapTextWithPunct/>
			</w:Compatibility>
			<w:DoNotOptimizeForBrowser/>
		 </w:WordDocument>
		</xml>

		<style>
		<!--
			/*
					Styles for page setup
			*/
			@page Section1{	
				size:8.5in 11.0in;
				margin:1.0in 1.25in 1.0in 1.25in;
			}
			div.Section1 {
				page:Section1;
			}
			/*
					Styles for paragraph formatting.
					
					Margin is a standard CSS property that is used to
					give standard word style formatting corresponding to
					left align with no before or after spacing.
					
					mso-pagination is an MS Word specific CSS that corresponds
					to the line breaking options.  Possible values are 
					"window-orphan" and "lines-together".  They can be combined
					with a space as in "window-orphan lines-together".
					
					We're also including one class where we apply a left margin
					to the paragraph.  We'll use this to indent the From address.
			*/					
			p	{
				margin:0pt;
				mso-pagination:widow-orphan;
				font-size:12.0pt;
				font-family:"Times New Roman";
			}
			p.indented {
				margin-left:3.0in;
			}
		-->
		</style>
	</head>

	<body>
	
		<!---
					Word documents are divided into sections.  For this we
					use the <div> tag.
					--->
		<div class="Section1">


			<!---
						From Address, indented
						--->
			<p class="indented">180 Alvarado SE, #114</p>
			<p class="indented">Albuquerque, NM 87108</p>
			<p class="indented">February 3, 1976</p>
			

			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			
			<p>An Open Letter to Hobbyists</p>
			
			<p>&nbsp;</p>
			
			<!---
						Notice the <span style="..."> in the middle of the paragraphs.
						This is used to indicate that we want to render both spaces after
						the period.
						--->
			<p>To me, the most critical thing in the hobby market right now
			is the lack of good software courses, books and software 
			itself.<span style='mso-spacerun:yes'> </span>Without good software 
			and an owner who understands programming, a hobby computer is 
			wasted.<span style='mso-spacerun:yes'> </span>Will quality software 
			be written for the hobby market?</p>
			
			<p>&nbsp;</p>
			
			<p>Almost a year ago, Paul Allen and myself, expecting the
			hobby market to expand, hired Monte Davidoff and developed Altair 
			BASIC.<span style='mso-spacerun:yes'> </span>Though the initial 
			work took only two months, the three of us have spent most of the
			last year documenting, improving and adding features to 
			BASIC.<span style='mso-spacerun:yes'> </span>Now we have 4K, 8K, 
			EXTENDED, ROM and DISK BASIC.<span style='mso-spacerun:yes'> </span>The 
			value of the computer time we have used exceeds $40,000.</p>
			
			<p>&nbsp;</p>
			
			<p>The feedback we have gotten from the hundreds of people who
			say they are using BASIC has all been 
			positive.<span style='mso-spacerun:yes'> </span>Two surprising things are
			apparent, however, 1) Most of these &quot;users&quot; never bought BASIC (less
			than 10% of all Altair owners have bought BASIC), and 2) The amount of
			royalties we have received from sales to hobbyists makes the time spent on
			Altair BASIC worth less than $2 an hour.</p>
			
			<p>&nbsp;</p>
			
			<p>Why is this? As the majority of hobbyists must be aware,
			most of you steal your 
			software.<span style='mso-spacerun:yes'> </span>Hardware must be 
			paid for, but software is something to 
			share.<span style='mso-spacerun:yes'> </span>Who cares if the people who 
			worked on it get paid?</p>
			
			<p>&nbsp;</p>
			
			<p>Is this fair? One thing you don't do by stealing software is
			get back at MITS for some problem you may have 
			had.<span style='mso-spacerun:yes'> </span>MITS doesn't make money
			selling software.<span style='mso-spacerun:yes'> </span>The royalty 
			paid to us, the manual, the tape and the overhead make it a 
			break-even operation.<span style='mso-spacerun:yes'> </span>One 
			thing you do is prevent good software from 
			being written.<span style='mso-spacerun:yes'> </span>Who can afford to do 
			professional work for nothing? What hobbyist can put 3-man years into 
			programming, finding all bugs, documenting his product and distribute for 
			free?<span style='mso-spacerun:yes'> </span>The fact is, no one besides 
			us has invested a lot of money in hobby
			software.<span style='mso-spacerun:yes'> </span>We have written 6800 
			BASIC, and are writing 8080 APL and 6800 APL, but there is very little 
			incentive to make this software available to
			hobbyists.<span style='mso-spacerun:yes'> </span>Most directly, the 
			thing you do is theft.</p>
			
			<p>&nbsp;</p>
			
			<p>What about the guys who re-sell
			Altair BASIC, aren't they making money on hobby software? Yes, but those who
			have been reported to us may lose in the 
			end.<span style='mso-spacerun:yes'> </span>They are the ones who give 
			hobbyists a bad name, and should be kicked out of any club meeting they show up
			at.</p>
			
			<p>&nbsp;</p>
			
			<p>I would appreciate letters from any one who wants to pay up,
			or has a suggestion or comment.<span style='mso-spacerun:yes'> </span>Just 
			write to me at 1180 Alvarado SE, #114, Albuquerque, New Mexico, 87108.
			Nothing would please me more than being able to hire ten programmers and deluge
			the hobby market with good software.</p>
			
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			<p>&nbsp;</p>
			
			<p>Bill Gates</p>
			<p>General Partner, Micro-Soft</p>		

		</div>
	
	</body>

</html>


<!---
			Tell the browser this is a word document
			--->
<cfheader 
	name="Content-Type" 
	value="application/msword">


<!---
			Tell the browser this is an attachment and
			provide a filename.
			--->
<cfheader 
	name="Content-Disposition" 
	value="attachment; filename=Letter02.doc">