<!---
			Component base class for creating Avery labels.
			
			Create an extended class and fill in labelContent
			function for use in your applications.
			--->
<cfcomponent>
	
	
	<!---
				CFC's store private component level data in
				the variables scope.  However, there is a
				bug in CFMX where variables prefixing causes
				data to be confused with the calling template.
				
				To work around this limitation, we create a
				variables scope structure to hold all other
				private data variables.
				--->
	<cfset private=StructNew()>
	
	
	<!---
				Store all Avery label specifications in a
				component level structure.  This is fine for
				demonstration purposes, but if expanding to
				include more labels it's better to store the
				data in a more maintainable format, such as 
				an xml file or database.
				--->
	<cfscript>
		private.avery=StructNew();
		
		private.avery["5096"]=StructNew();
		private.avery["5096"].pageMargin=".5in 9.0pt 0in 9.0pt";
		private.avery["5096"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5096"].trHeight="2.75in";
		private.avery["5096"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5096"].pMargin="0in 9.9pt 0in 9.9pt";
		private.avery["5096"].colCount="3";
		private.avery["5096"].labelWidth="2.75in";
		private.avery["5096"].spacerWidth="";
		private.avery["5096"].spacerHeight=".25in";

		private.avery["5159"]=StructNew();
		private.avery["5159"].pageMargin=".25in 9.0pt 0in 9.0pt";
		private.avery["5159"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5159"].trHeight="1.5in";
		private.avery["5159"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5159"].pMargin="0in 9.9pt 0in 9.9pt";
		private.avery["5159"].colCount="2";
		private.avery["5159"].labelWidth="4.0in";
		private.avery["5159"].spacerWidth="9.0pt";
		private.avery["5159"].spacerHeight="";
		
		private.avery["5160"]=StructNew();
		private.avery["5160"].pageMargin=".5in 13.6pt 0in 13.6pt";
		private.avery["5160"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5160"].trHeight="1.0in";
		private.avery["5160"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5160"].pMargin="0in 5.3pt 0in 5.3pt";
		private.avery["5160"].colCount="3";
		private.avery["5160"].labelWidth="189.0pt";
		private.avery["5160"].spacerWidth="9.0pt";
		private.avery["5160"].spacerHeight="";
		
		private.avery["5161"]=StructNew();
		private.avery["5161"].pageMargin=".5in 11.25pt 0in 11.25pt";
		private.avery["5161"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5161"].trHeight="1.0in";
		private.avery["5161"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5161"].pMargin="0in 7.65pt 0in 7.65pt";
		private.avery["5161"].colCount="2";
		private.avery["5161"].labelWidth="4.0in";
		private.avery["5161"].spacerWidth="13.5pt";
		private.avery["5161"].spacerHeight="";
		
		private.avery["5162"]=StructNew();
		private.avery["5162"].pageMargin="60.0pt 11.25pt 0in 11.25pt";
		private.avery["5162"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5162"].trHeight="96.0pt";
		private.avery["5162"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5162"].pMargin="0in 7.65pt 0in 7.65pt";
		private.avery["5162"].colCount="2";
		private.avery["5162"].labelWidth="4.0in";
		private.avery["5162"].spacerWidth="13.5pt";
		private.avery["5162"].spacerHeight="";
		
		private.avery["5660"]=StructNew();
		private.avery["5660"].pageMargin=".5in 0in 0in 0in";
		private.avery["5660"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5660"].trHeight="1.0in";
		private.avery["5660"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5660"].pMargin="0in 18.9pt 0in 18.9pt";
		private.avery["5660"].colCount="3";
		private.avery["5660"].labelWidth="204.0pt";
		private.avery["5660"].spacerWidth="";
		private.avery["5660"].spacerHeight="";
		
		private.avery["5661"]=StructNew();
		private.avery["5661"].pageMargin=".5in 0in 0in 0in";
		private.avery["5661"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5661"].trHeight="1.0in";
		private.avery["5661"].tdPadding="in .75pt 0in .75pt";
		private.avery["5661"].pMargin="0in 18.9pt 0in 18.9pt";
		private.avery["5661"].colCount="2";
		private.avery["5661"].labelWidth="4.25in";
		private.avery["5661"].spacerWidth="";
		private.avery["5661"].spacerHeight="";
		
		private.avery["5662"]=StructNew();
		private.avery["5662"].pageMargin="60.1pt 0in 0in 0in";
		private.avery["5662"].tablePadding="0in 5.4pt 0in 5.4pt";
		private.avery["5662"].trHeight="96.0pt";
		private.avery["5662"].tdPadding="0in .75pt 0in .75pt";
		private.avery["5662"].pMargin="0in 18.9pt 0in 18.9pt";
		private.avery["5662"].colCount="2";
		private.avery["5662"].labelWidth="4.25in";
		private.avery["5662"].spacerWidth="";
		private.avery["5662"].spacerHeight="";

	</cfscript>
	
	
	<!---
				createLabels
				
				Main worker function that creates the labels.
				Accepts four arguments.
				
					labelNumber - the Avery product number
					labelData 	- query containing the data
					fontSize		- CSS font size, default "12.0pt"
					fontFamily	- CSS font family, default "Times New Roman"
				
				Calls createLabelContent function to fill in
				actual label content.
				--->
	<cffunction
	  name="createLabels"
		returnType="string"
		access="public"
		output="false">
		
		<cfargument
			name="labelNumber"
			type="string"
			required="true" />
			
		<cfargument
			name="labelData"
			type="query"
			required="true" />
			
		<cfargument
			name="fontSize"
			type="string"
			required="false"
			default="12.0pt" />
			
		<cfargument
			name="fontFamily"
			type="string"
			required="false"
			default="Times New Roman" />
		
		<cfset var col=0>
		<cfset var rec=0>
		<cfset var recCount=0>
		<cfset var recCountMod=0>
		<cfset var recCountPadded=0>
		<cfset var labelSpecs=StructNew()>
		<cfset var wordDoc="">
		<cfset var i=0>
		
				
		<!---
					Validate that we know how to create the 
					label type requested.
					--->
		<cfif Not StructKeyExists(private.avery,arguments.labelNumber)>

			<cfthrow 
				type="Application"
				message="Unrecognized labelNumber '#arguments.labelNumber#'" />

		</cfif>


		<!---
					Store the select label specifications in a
					function scope variable for easier reference.
					--->
		<cfset labelSpecs=private.avery[arguments.labelNumber]>
		
		
		<!---
					Store the label data in a component level
					variable so it is available to the label
					content function without having to pass it
					on each call.
					
					NOTE:  If we didn't use a variables scope
					structure for holding all component level
					data, then this assignment would be impossible
					given the variables prefix bug in CFMX.
					--->
		<cfset private.labelData=arguments.labelData>
		
		
		<cfsavecontent variable="wordDoc">
		

			<html xmlns:w="urn:schemas-microsoft-com:office:word">
			
				<head>
				
					<!---
								Open in Print Layout View
								--->
					<xml>
						<w:WordDocument>
							<w:View>Print</w:View>
							<w:DoNotOptimizeForBrowser/>
						</w:WordDocument>
 					</xml>

	
					<style>
						<!--
			
						/* 
							Style Definitions for page 
						*/
						@page Section1 {
							size:8.5in 11.0in;
							margin:<cfoutput>#labelSpecs.pageMargin#;</cfoutput>
						}
						div.Section1 {
							page:Section1;
						}
							
						/* 
							Style Definitions for the labels table
						*/
						table {
							mso-table-layout-alt:fixed;
							/*
									Table padding based on selected label
									*/
							mso-padding-alt:<cfoutput>#labelSpecs.tablePadding#;</cfoutput>
						}
						tr {
							page-break-inside:avoid;
						}
						tr.label {
							/*
									Label row height based on selected label
									*/
							height:<cfoutput>#labelSpecs.trHeight#;</cfoutput>
						}	

						/*
								Spacer row height based on selected label
								*/
						<cfif Len(labelSpecs.spacerHeight)>
							tr.spacer {
								height:<cfoutput>#labelSpecs.spacerHeight#;</cfoutput>
							}
						</cfif>	

						td {
							/*
									Table cell padding based on selected label
									*/
							padding:<cfoutput>#labelSpecs.tdPadding#;</cfoutput>
						}
						td.label {
							/*
									Label cell width based on selected label
									*/
							width:<cfoutput>#labelSpecs.labelWidth#;</cfoutput>
						}
						
						/*
								Spacer cell width based on selected label
								*/
						<cfif Len(labelSpecs.spacerWidth)>
							td.spacer {
								width:<cfoutput>#labelSpecs.spacerWidth#;</cfoutput>
							}
						</cfif>
						p {
							mso-style-parent:"";
							/*
									Paragraph margin based on selected label
									*/
							margin:<cfoutput>#labelSpecs.pMargin#;</cfoutput>
							mso-pagination:widow-orphan;
							/*
									Paragraph margin based on selected label
									*/
							font-size:<cfoutput>#arguments.fontSize#;</cfoutput>
							font-family:<cfoutput>#arguments.fontFamily#;</cfoutput>
						}
						-->
					</style>
				
				</head>
				
				<body>
				
					<div class="Section1">
				
				
						<table 
							border="0" 
							cellspacing="0" 
							cellpadding="0">
					
			
							<cfset col=1>
							
	
							<!---
										We need to loop through all records, plus some
										additional label cells to padd out the row.
										--->
							<cfset recCount = arguments.labelData.recordCount>
							<cfset recCountMod = recCount MOD labelSpecs.colCount>
							<cfif recCountMod>
								<cfset recCountPadded = recCount + labelSpecs.colCount - recCountMod>
							<cfelse>
								<cfset recCountPadded = recCount>
							</cfif>
							
	
							<cfloop index="rec" from="1" to="#recCountPadded#">
								
								
								<!---
											If this is the first column, 
											then start a new row
											--->
								<cfif col EQ "1">
									<tr class="label">
								</cfif>
								
										
								<!---
											Output the label
											
											If this is an actual record, call the labe
											content function to fill in the defails.
											
											If this is just a padding cell, output an
											emtpy paragraph.
											--->
								<td class="label">
									<cfif rec LTE recCount>
										<cfoutput>#createLabelContent(rec)#</cfoutput>
									<cfelse>
										<p>&nbsp;</p>
									</cfif>
								</td>
								
								
								<!---
											If this is not the last column, then
											output a spacer cell and 
											increment the column number.
											--->
								<cfif col LT labelSpecs.colCount>
				
									<cfif Len(labelSpecs.spacerWidth)>
										<td class="spacer">
											<p>&nbsp;</p>
										</td>
									</cfif>
				
									<cfset col=col+1>
					
					
								<!---
											If it's the last column, then end the
											row, output the spacer row, and 
											reset the column number.
											--->
								<cfelse>
				
									</tr>
	
									<cfif Len(labelSpecs.spacerHeight)>
										<tr class="spacer">
											<cfloop index="i" from="1" to="#labelSpecs.colCount#">
												<td class="label">
													<p>&nbsp;</p>
												</td>
												<cfif i LTE labelSpecs.colCount AND
															Len(labelSpecs.spacerWidth)>
													<td class="spacer">
														<p>&nbsp;</p>
													</td>
												</cfif>
											</cfloop>
										</tr>
									</cfif>

									<cfset col=1>
									
								</cfif>
				
							</cfloop>
						
						</table>
					</div>
				</body>
			</html>

		</cfsavecontent>
		
		<cfreturn wordDoc>
		
	</cffunction>				

	
	<!---
				createLabelContent
				
				This function outputs the actual content
				for each label.  This can vary depending
				on the type of label, so this is intended
				to be overriden in the extension components.
				--->
	<cffunction
		name="createLabelContent"
		returnType="string"
		access="private"
		output="no">
		
		<cfargument
			name="rec"
			type="numeric"
			required="true" />
			
		<!---
					Since this is overridden in extension 
					components, it is not supposed to be called
					in the base class.  If it is, let's throw
					an error.
					--->
		<cfthrow 
			type="application"	
			message="WordLabelGeneratorBase must be extended and createLabelContent overriden for use in applications.">
			
	</cffunction>
</cfcomponent>